Zuviel Werbung? - > Hier kostenlos beim SPS-Forum registrieren

Ergebnis 1 bis 10 von 10

Thema: Probleme nach CODESYS Neu-Installation

  1. #1
    Registriert seit
    27.02.2014
    Ort
    Spremberg
    Beiträge
    94
    Danke
    5
    Erhielt 0 Danke für 0 Beiträge

    Standard


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Hallo,

    für meinen Fernlehrgang benötige ich die ältere Version CODESYS V3.5 SP3 Patch6.
    Zwischenzeitlich wurde, um Projekte mit dem RaspberryPi zu testen, eine neuere Version von Codesys installiert. Leider war es mir von nun an nicht mehr möglich, meine Hausarbeiten mit der alten Version durchzuführen, da beim übersetzen ständig massenhaft Fehler auftauchten. Also nochmal alle Versionen deinstalliert und die besagte Version V3.5 SP3 Patch6 neu installiert.
    Die Probleme bestehen allerdings weiterhin. Wenn ich meine Projekte an einem anderen Rechner schreibe, an dem ausschließlich die o.g. Version installiert war und ist, dann funktioniert alles mit dem übersetzen.
    Woran liegt das und wie kann ich das Problem beseitigen? Ich arbeite mit dem Betriebssystem Win 7 Pro x64.
    Vielen Dank!

    Codesys.jpg
    Zitieren Zitieren Probleme nach CODESYS Neu-Installation  

  2. #2
    Registriert seit
    19.03.2015
    Beiträge
    60
    Danke
    18
    Erhielt 2 Danke für 2 Beiträge

    Standard

    Hi,

    könnte sein das sich da was in die Registry einträgt (glaub eher weniger das es das ist aber könnte ja sein).
    Hast du es schon mal mit einer WirtiellenMaschiene (VM) versucht ?
    So kannst du beide auf dem Rechner laufen lassen.

    lg Hamsi

    Edit:
    PS: Ansonsten würde ich sagen Neuaufsetzten.

  3. #3
    LOBBE1 ist offline Benutzer
    Themenstarter
    Registriert seit
    27.02.2014
    Ort
    Spremberg
    Beiträge
    94
    Danke
    5
    Erhielt 0 Danke für 0 Beiträge

    Standard

    Neuaufsetzen ist nicht so gut. Ist n Haufen Aufwand, da ich den Rechner zu unser IT schicken müßte. Dann lieber auf nem anderen Rechner programmieren.
    Kann mir aber nicht vorstelen, dass es dafür keine Lösung gibt.

  4. #4
    Registriert seit
    13.01.2013
    Beiträge
    627
    Danke
    26
    Erhielt 64 Danke für 59 Beiträge

    Standard

    Was sind das für Fehler ? Kann es an einer Lib liegen das diese aus der neuen Version auf den Rechner verbleibt ?

  5. #5
    LOBBE1 ist offline Benutzer
    Themenstarter
    Registriert seit
    27.02.2014
    Ort
    Spremberg
    Beiträge
    94
    Danke
    5
    Erhielt 0 Danke für 0 Beiträge

    Standard

    Zitat Zitat von Dr.MirakulixX Beitrag anzeigen
    Was sind das für Fehler ? Kann es an einer Lib liegen das diese aus der neuen Version auf den Rechner verbleibt ?
    Das wäre durchaus möglich. Habe oben mal ein Screenshot im Startpost mit den Fehlermeldungen.

  6. #6
    Registriert seit
    24.07.2013
    Beiträge
    420
    Danke
    1
    Erhielt 132 Danke für 111 Beiträge

    Standard

    Hi,
    so generell ist es / muss es immer möglich sein mit neueren CODESYS Versionen auch ältere SPS Versionen / Programme zu bearbeiten.
    Mann muss folgendes beachten.
    Wenn ich mich auf einer älteren Version einer SPS einloggen will, muss die Gerätebeschreibung + CompilerVersion + Visuprofil auf der alten Version bleiben in deinem Fall also:
    CODESYS V3.5 SP3 Patch6.
    Dann muss es auch mit SP8 gehen, so das du fehlerfrei übersetzen kannst und online gehen.
    Das ist Fall 1 ich lasse die Projekte so und aktualisieren nichts (wichtig beim 1. öffnen wird man gefragt ob man aktualisieren will - hier -> nein)

    2. Fall:
    Wie geht man vor wenn man die Projekte aktualisieren will?

    Das macht man so:
    1. Projekt öffnen - dabei wird man gefragt ob man Compiler und Visuprofil aktualisieren will - > hier ja
    2. Im Projekt dann noch rechtsclick auf die SPS und Gerät aktualisieren ausführen
    3. Wenn FeldbusMaster im Projekt dann das auch auf diesem ausführen

    Das wars dann ist dein Projekt komplett 3.5SP8 aktualisiert und du kannst dich damit auf einer 3.5SP8 SPS Version einloggen.

    Übrigens eine neuere Laufzeitsystem (SPS) Version zu haben und sich mit altem CODESYS und alter Gerätebeschreibung im Projekt damit einlzuloggen - das geht immer!
    Nur nicht -> alte SPS Version und neueres CODESYS mit neuer Gerätebeschreibung im Projekt -das geht nicht da meist neue Funktionen im Runtime dann fehlen würden.
    Es kommt ne Meldung beim Login Versuch.

    Grüße
    Edwin
    Geändert von HausSPSler (22.01.2016 um 07:57 Uhr)
    Edwin Schwellinger
    3S-Smart Software Solutions GmbH

  7. #7
    Registriert seit
    12.04.2005
    Ort
    Black Forest
    Beiträge
    1.336
    Danke
    27
    Erhielt 130 Danke für 117 Beiträge

    Standard

    Ich würde einmal die Projekteinstellungen bzgl. Verzeichnisse und LIBs sowie target prüfen!

    Soweit ich es von Bosch (ebenfalls CodeSys) noch kenne, ist es ja so das diese Verzeichnisse im Projekt gespeichert sind, daher evtl die Fehler.
    Allerdings sollte man auch einmal die Fehler welche da so kommen Analysieren Das hilft da auch teils schon etwas weiter!

    „Eine Frage raubt mir den Verstand bin ich verrückt oder sind es die Anderen ?“

    Albert Einstein

  8. #8
    Registriert seit
    15.01.2005
    Ort
    In der Mitte zwischen Bayreuth/Weiden
    Beiträge
    6.732
    Danke
    314
    Erhielt 1.520 Danke für 1.282 Beiträge

    Standard

    Interessant ist hier wohl ausschließlich die dritte Zeile im obigen Bildchen. "C0100"
    Warum denn einfach, wenn man auch Siemens einsetzen kann!

    Wer die grundlegenden Freiheiten aufgibt, um vorübergehend ein wenig Sicherheit zu bekommen, verdient weder Freiheit noch Sicherheit (B. Franklin).

  9. Folgender Benutzer sagt Danke zu MSB für den nützlichen Beitrag:

    RobiHerb (22.01.2016)

  10. #9
    Registriert seit
    09.11.2007
    Ort
    Rhein Main (Darmstadt)
    Beiträge
    663
    Danke
    61
    Erhielt 112 Danke für 80 Beiträge

    Standard

    Ich bin mir eigentlich sehr sicher, dass ich auf einem WIN7/64Bit PC mehrere Versionen von Codesys 3.x unabhängig (verschiedene Verzeichnisse) komplett installiert habe.

    Eine für Rasp PI, eine für Intercontrol Fusion-Safety und eine immer auf dem neuesten Stand zum "spielen".
    Als Freelancer immer auf der Suche nach interessanten Projekten.

  11. #10
    LOBBE1 ist offline Benutzer
    Themenstarter
    Registriert seit
    27.02.2014
    Ort
    Spremberg
    Beiträge
    94
    Danke
    5
    Erhielt 0 Danke für 0 Beiträge

    Standard


    Zuviel Werbung?
    -> Hier kostenlos registrieren
    Erst einmal vielen Dank für diese emsige Diskussion.
    Grundsätzlich ist es so, das ich neue “Übungs-“Projekte auf der neu installierten Version V3.5 SP3 Patch 6 schreibe. Diese werden hier mit den oben genannten Fehlern übersetzt. Wenn ich genau das gleiche Probekt auf einem anderen Rechner schreibe, wo nur die o.g. Version installiert ist und auch war, dann gibt es überhaupt keine Probleme.

Ähnliche Themen

  1. Step 7 Probleme Installation Step 7 5.5 SP4
    Von ffutsi im Forum Simatic
    Antworten: 12
    Letzter Beitrag: 15.12.2015, 09:44
  2. Antworten: 3
    Letzter Beitrag: 02.10.2015, 08:50
  3. Probleme nach Installation Step7 Prof. 2010
    Von bullimen im Forum Simatic
    Antworten: 13
    Letzter Beitrag: 06.01.2011, 07:57
  4. CoDeSys V2.3 Installation auf WHS
    Von Pietpinguin im Forum CODESYS und IEC61131
    Antworten: 1
    Letzter Beitrag: 20.10.2010, 15:23
  5. kleines Fenster nach Installation
    Von S7T-User im Forum HMI
    Antworten: 2
    Letzter Beitrag: 11.03.2008, 10:27

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •